## com.imcode.imcms.servlet.superadmin
Class AdminCounter.AdminSessionCounterPage

    java.lang.Object
      com.imcode.imcms.servlet.superadmin.AdminCounter.AdminSessionCounterPage

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AdminCounter

    public static class AdminCounter.AdminSessionCounterPage

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_ATTRIBUTE__PAGE`
`static java.lang.String` `REQUEST_PARAMETER__COUNTER_VALUE`
`static java.lang.String` `REQUEST_PARAMETER__DATE_VALUE`

Constructor Summary
`AdminCounter.AdminSessionCounterPage()`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UserDomainObject user)`
`int` `getCounterValue()`
`java.lang.String` `getErrormsg()`
`JSCalendar` `getJSCalendar(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` `getNewDateStr()`
`void` `putInRequest(javax.servlet.http.HttpServletRequest request)`
`void` `setCounterValue(int counterValue)`
`void` `setErrormsg(java.lang.String errormsg)`
`void` `setNewDateStr(java.lang.String newDateStr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_ATTRIBUTE__PAGE

    public static final java.lang.String REQUEST_ATTRIBUTE__PAGE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__COUNTER_VALUE

    public static final java.lang.String REQUEST_PARAMETER__COUNTER_VALUE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DATE_VALUE

    public static final java.lang.String REQUEST_PARAMETER__DATE_VALUE

See Also:
  Constant Field Values

Constructor Detail

### AdminCounter.AdminSessionCounterPage

    public AdminCounter.AdminSessionCounterPage()

Method Detail

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        UserDomainObject user)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### putInRequest

    public void putInRequest(javax.servlet.http.HttpServletRequest request)

### getCounterValue

    public int getCounterValue()

### setCounterValue

    public void setCounterValue(int counterValue)

### getNewDateStr

    public java.lang.String getNewDateStr()

### setNewDateStr

    public void setNewDateStr(java.lang.String newDateStr)

### setErrormsg

    public void setErrormsg(java.lang.String errormsg)

### getErrormsg

    public java.lang.String getErrormsg()

### getJSCalendar

    public JSCalendar getJSCalendar(javax.servlet.http.HttpServletRequest request)